#include <iostream>
#include <fruit/fruit.h>
  using fruit::Injector;

#include "scaler.h"


using namespace std;

int main() {
  Injector<ScalerFactory> injector(getScalerComponent());
  ScalerFactory scalerFactory(injector);
  unique_ptr<Scaler> scalerPtr = scalerFactory(10);
  cout << "10 scale 10 is: " << (*scalerPtr).scale(10) << endl;
  return 0;
}
