//
// Created by mohmed on 5/13/16.
//

#ifndef FRUITCOPYISSUE_COPYLESS_CLASS_H
#define FRUITCOPYISSUE_COPYLESS_CLASS_H

#include <memory>
  using std::unique_ptr;

#include <functional>
  using std::function;

#include <fruit/fruit.h>
  using fruit::Component;

class Scaler {
public:
  virtual int scale(int) = 0;
};

using ScalerFactory = function<unique_ptr<Scaler>(int)>;

Component<ScalerFactory> getScalerComponent();

#endif //FRUITCOPYISSUE_COPYLESS_CLASS_H
